=== debian/changelog ===
0ad (0.0.13-1~ubuntu12.10.1) quantal-backports; urgency=low

  * No-change backport to quantal (LP: #1154124)

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 28 Apr 2013 18:32:22 +0200

0ad (0.0.13-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Add icon to Debian menu entry. (Closes: #703254)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 02 Apr 2013 19:40:54 -0700
