=== debian/changelog ===
0ad (0.0.14-3) unstable; urgency=low

  * Add debian/patches/fix-arm-ftbfs.patch to fix FTBFS on armel and armhf.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 17 Sep 2013 01:08:10 -0700

0ad (0.0.14-2) unstable; urgency=low

  * Tighten build dependency on libnvtt-dev to >= 2.0.8-1+dfsg-4 to ensure
    that amd64 builds of 0ad do not FTBFS on certain hardware. See #713966
    for details.
  * Build 0ad for armel and armhf.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 06 Sep 2013 23:00:24 -0700

0ad (0.0.14-1) unstable; urgency=low

  * New upstream release.
    - Remove fix-bindir.patch, boost-libnames.patch; applied/fixed upstream.
    - Refresh remaining patches.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 05 Sep 2013 20:02:20 -0700

0ad (0.0.13-2) unstable; urgency=low

  * Add boost-libnames.patch to fix FTBFS with boost 1.53. (Closes: #709570)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 24 May 2013 01:47:14 -0700
