=== debian/control ===
Source: 0ad
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends:
 autoconf,
 debhelper (>= 9),
 dpkg-dev (>= 1.15.5),
 libboost-dev,
 libboost-filesystem-dev,
 libboost-signals-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libenet-dev (>= 1.3),
 libjpeg-dev,
 libmozjs185-dev,
 libnvtt-dev (>= 2.0.8-1+dfsg-4),
 libogg-dev,
 libopenal-dev,
 libpng-dev,
 libsdl1.2-dev,
 libvorbis-dev,
 libwxgtk2.8-dev,
 libxcursor-dev,
 libxml2-dev,
 pkg-config,
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://play0ad.com/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/0ad/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/0ad/

Package: 0ad
Architecture: amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends:
 0ad-data (>= ${source:Upstream-Version}),
 0ad-data (<= ${source:Version}),
 0ad-data-common (>= ${source:Upstream-Version}),
 0ad-data-common (<= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Real-time strategy game of ancient warfare
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.

Package: 0ad-dbg
Section: debug
Priority: extra
Architecture: amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends: 0ad (= ${binary:Version}), ${misc:Depends}
Description: Real-time strategy game of ancient warfare (debug)
 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
 real-time strategy (RTS) game of ancient warfare. In short, it is a
 historically-based war/economy game that allows players to relive or rewrite
 the history of Western civilizations, focusing on the years between 500 B.C.
 and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
 graphics, detailed artwork, sound, and a flexible and powerful custom-built
 game engine.
 .
 This package contains the debugging symbols.
