=== debian/changelog ===
0ad (0.0.15+dfsg-3) unstable; urgency=medium

  * Repack tarball to remove minified javascript files without source in
    source/tools/jsdebugger/. (Closes: #735349)
    - debian/control: Hardcode versions of 0ad-data{,-common} to depend on to
      workaround the fact that 0.0.15+dfsg is strictly greater than 0.0.15.
  * Update debian/copyright to include text of IBM Common Public License.
  * Update email address.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 18 Feb 2014 23:21:11 -0800

0ad (0.0.15-2) unstable; urgency=medium

  * Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 27 Dec 2013 15:03:44 -0800

0ad (0.0.15-1) unstable; urgency=low

  * New upstream release.
    - Remove fix-arm-ftbfs.patch, fixed upstream.
  * Add build-dep on libgloox-dev and libminiupnpc-dev.
  * Append '~' to libnvtt-dev build dependency to ease backporting.
  * Prefer libwxgtk3.0-dev over libwxgtk2.8-dev as build-dep (keep latter as
    alternate build-dep to ease backports).
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 25 Dec 2013 17:41:29 -0800
