=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Cheng <Vincentc1208@gmail.com>
+Uploaders: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  autoconf,
  debhelper (>= 9),
@@ -12,20 +12,22 @@
  libboost-signals-dev,
  libcurl4-gnutls-dev | libcurl4-dev,
  libenet-dev (>= 1.3),
+ libgloox-dev,
  libjpeg-dev,
+ libminiupnpc-dev,
  libmozjs185-dev,
- libnvtt-dev (>= 2.0.8-1+dfsg-4),
+ libnvtt-dev (>= 2.0.8-1+dfsg-4~),
  libogg-dev,
  libopenal-dev,
  libpng-dev,
  libsdl1.2-dev,
  libvorbis-dev,
- libwxgtk2.8-dev,
+ libwxgtk3.0-dev | libwxgtk2.8-dev,
  libxcursor-dev,
  libxml2-dev,
  pkg-config,
  zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://play0ad.com/
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/0ad/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/0ad/
@@ -34,10 +36,10 @@
 Architecture: amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends:
- 0ad-data (>= ${source:Upstream-Version}),
- 0ad-data (<= ${source:Version}),
- 0ad-data-common (>= ${source:Upstream-Version}),
- 0ad-data-common (<= ${source:Version}),
+ 0ad-data (>= 0.0.15),
+ 0ad-data (<< 0.0.16),
+ 0ad-data-common (>= 0.0.15),
+ 0ad-data-common (<< 0.0.16),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Real-time strategy game of ancient warfare
