=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 		--datadir=/usr/share/games/0ad \
 		--with-system-enet \
 		--with-system-nvtt \
+		--with-system-miniupnpc \
 		--with-system-mozjs185
 	
 	$(MAKE) config=release verbose=1 -C build/workspaces/gcc
@@ -43,3 +44,10 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
+
+get-orig-source:
+	uscan --download-current-version
+	tar xJf ../0ad_0.0.15.orig.tar.xz
+	rm -rf source/tools/jsdebugger # see #735349
+	mv 0ad-0.0.15-alpha 0ad-0.0.15+dfsg
+	tar cJf ../0ad_0.0.15+dfsg.orig.tar.xz 0ad-0.0.15+dfsg/
